Description

Trying to create a virtual vector with postgis/spatialite layers (or anything that is not a shapefile) the tool will return an error.

Virtual vectors with postgis layer as datasources are like

<OGRVRTDataSource>

  <OGRVRTLayer name="layer1">

    <SrcDataSource>PG:dbname=xxx host=localhost port=5432 user=xxx password=xxx</SrcDataSource>

    <SrcLayer>layer1</SrcLayer>

</OGRVRTLayer>

  <OGRVRTLayer name="layer2">

    <SrcDataSource>PG:dbname=xxx host=localhost port=5432 user=xxx password=xxx</SrcDataSource>

    <SrcLayer>layer2</SrcLayer>

  </OGRVRTLayer>

</OGRVRTDataSource>

History

#1 - 2015-06-18 04:07 AM - Luigi Pirelli

may you add the error and (if generated) the erroneous generated format?

#2 - 2015-06-18 04:14 AM - Giovanni Manghi

Luigi Pirelli wrote:

may you add the error and (if generated) the erroneous generated format?

no output generated, the error is

2015-06-18T10:55:01    2    Invalid datasource: dbname='xxx' host=localhost port=5432 user='xxx' password='xxx' sslmode=disable key='id'

table="public"."caop_2013_costa" (geom) sql=

2015-06-18T12:12:31    2    Invalid datasource: dbname='xxx' host=localhost port=5432 user='xxx' password='xxx' sslmode=disable key='id' srid=3763

type=MultiPolygon table="public"."caop_2013_costa" (geom) sql=

where of course "xxx" are the proper connection details.

#3 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No
- Regression? set to No

#4 - 2018-06-05 04:14 AM - Nyall Dawson

- Description updated

- Tracker changed from Bug report to Feature request
